#pragma once
#ifndef M3DSHADER_H
#define M3DSHADER_H
#include <GL/glew.h>

namespace M3D
{

/**
 * Базовый класс для описания шейдеров
 * @author Denis A. Biryukov <denis.biryukov@gmail.com>
 */
class Shader
{
	public:
		Shader();
		~Shader();
		GLuint get_shader_id() const {return _shader_id_;}
	protected:
		GLuint _shader_id_;

};

}

#endif
